> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Delete sharing requests for envelope

DELETE https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/envelopes/{envelopeId}/shares
Content-Type: application/json

Deletes all sharing requests for the specified envelope.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/envelopes/envelopeshares/deleteenvelopesshares

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID GUID of the account to which the caller and the users to whom the envelope will be shared all belong.
- `envelopeId` (string, required) — The envelope ID GUID of the envelope being shared.

### Body (application/json)

This endpoint expects an envelopesSharesRequest.

- `shares` (list of envelopesShareRequest, optional) — An array of objects that contain information on the accounts to whom the envelope will be shared. Each object in the array holds the information for one account. Required.

## Response

### 200

Successful response.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### envelopesShareRequest

- `agentUser` (authorizationUser, optional)
- `customMessage` (string, optional)
- `permission` (string, optional)
- `shareId` (string, optional)

### authorizationUser

- `accountId` (string, optional) — The account ID.
- `email` (string, optional) — The email address of the authorization user.
- `name` (string, optional) — The name of the authorization user.
- `userId` (string, optional) — The ID of the authorization user.

## Examples

**Request**

```json
{
  "shares": [
    {
      "agentUser": {
        "accountId": "sample string 1",
        "email": "sample string 2",
        "name": "sample string 3",
        "userId": "sample string 4"
      },
      "customMessage": "sample string 1",
      "permission": "sample string 2",
      "shareId": "sample string 3"
    }
  ]
}
```